@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Bebas+Neue&display=swap');

@import url(styles/header.css);
@import url(styles/banner.css);
@import url(styles/sobre-nos.css);
@import url(styles/sobre-ecotrilhas.css);
@import url(styles/objetivos.css);
@import url(styles/ods.css);
@import url(styles/metodologia.css);
@import url(styles/parceiros.css);
@import url(styles/metricas.css);
@import url(styles/trilhas.css);
@import url(styles/voluntarios.css);
@import url(styles/apoiar.css);
@import url(styles/forms.css);
@import url(styles/footer.css);

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --cor-destaque: #46bd6a;
    --text-color: #1E1E1E;
    --text-destaque: #0d4727;
    --background-color: #ecf8e4;
}


::-webkit-scrollbar {
    width: 14px;
    height: 8px;
}

::-webkit-scrollbar-track {
    background: #e0f2f1;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #388e3c;
    border-radius: 10px;
    border: 2px solid #e0f2f1;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #2e7d32;
}

html {
    scroll-behavior: smooth;
}

body {
    color: var(--text-color);
    background-color: var(--background-color);
    font-family: 'Archivo', sans-serif;


    overflow-x: hidden;

}

a {
    color: white;
    text-decoration: none;
}

#mapa-ecotrilhas {
    height: 450px; /* Altura do mapa */
    width: 100%;
    border-radius: 12px;
    box-shadow: 0 4px 15px rgba(0,0,0,0.1);
    z-index: 1; /* Garante que fique abaixo do menu se ele for fixo */
}

.mapa-section {
    padding: 40px 20px;
    background-color: #fff;
}